#include <stdio.h>

#include "libhello.h"
#include "vdwxc.h"

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef HAVE_MPI
#include "mpi.h"
#endif

void main(int argc, char** argv)
{
  int rank, size;

  printf("Testing libhello...\n");
  hello();

#ifdef HAVE_MPI
  MPI_Comm comm = MPI_COMM_WORLD;
  MPI_Init(&argc, &argv);
  MPI_Comm_rank(comm, &rank);
  MPI_Comm_size(comm, &size);
#else
  rank = 0;
  size = 0;
#endif

  printf("Hello world!  rank=%d/%d\n", rank, size);

#ifdef HAVE_MPI
  MPI_Finalize();
#endif
}
